* {
    padding: 0;
    margin: 0;
}
a{
    text-decoration: none;
    color: white;

}
a h4 {
    position:static;
}

body {
    background-color: black;
    background-repeat: no-repeat;
    background-position: center;
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    overflow-x: hidden;
}

nav {
    background-color: royalblue;
    top: 0;
    left: 0;
    position:fixed;
    z-index: 999;
    overflow-y: hidden;
    right: 0;
    box-shadow: 10px 10px 5px rgba(0, 0, 0, 0.5);
}

nav ul {
    width: 100%;
    list-style: none;
    display: flex;
    justify-content: center;
    align-items: center;
}

nav li {
    height: 70px;
}
nav a{
    font-size: 20px;
}
.sidebar{
    transition: 1s;
}
.sidebar a {
    height: 100%;
    padding: 0 30px;
    text-decoration: none;
    display: flex;
    justify-items: center;
    align-items: center;
    color: black;
    transition: 0.7s ease;
}

.hideOnMobile a {
    height: 100%;
    padding: 0 30px;
    text-decoration: none;
    display: flex;
    justify-items: center;
    align-items: center;
    color: white;
    transition: 0.7s ease;
}

.hideOnPc a {
    display: flex;
    align-items: center;
    justify-items: center;
    padding: 0 30px
}

.brand{
    width: auto;
    max-width: 100%;
    display: flex;
}

.brand a {
    height: 100%;
    padding: 0 30px;
    text-decoration: none;
    display: flex;
    justify-items: center;
    align-items: center;
    color: white;
    font-size: 30px;
    flex-wrap: nowrap;
    overflow-y: hidden;

}
.brand img{
    height: 80px;
    max-height: fit-content;
}

.active a {
    height: 100%;
    padding: 0 30px;
    text-decoration: none;
    display: flex;
    justify-items: center;
    align-items: center;
    color: white;
    transition: 0.5s;
    background-color: black;
}

nav svg {
    fill:white;
    height: 28px;
    width: 28px;
}

.hideOnMobile a:hover {
    background-color: black;
    color: white;
    fill:white;
    text-decoration: wavy;
}

.active a:hover {
    background-color: black;
    color: white;
}

nav li:first-child {
    margin-right: auto;
}

@keyframes hideSidebar{
    0%{
        transform: translateX(0%);
        opacity: 1;
    }
    100%{
        transform: translateX(100%);
        opacity: 0;
    }
}

@keyframes showSidebar{
    0%{
        transform: translateX(100%) ;
        opacity: 0;
    }
    100%{
        transform: translateX(0%);
        opacity: 1;
    }
}
.sidebar{
    animation:showSidebar 1s ease;
}

.hideOnPc {
    display: none;
    animation: hideSibar 1s ease;
}

.sidebar {
    position: fixed;
    top: 0;
    right: 0;
    height: 100vh;
    width: 250px;
    z-index: 999;
    background-color: royalblue;
    backdrop-filter: blur(10px);
    box-shadow: -10px 0px 10px rgba(0, 0, 0, 0.416);
    display: none;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
}

.sidebar li {
    width: 100%;
}

.sidebar a {
    width: 100%;
    color: white;
    align-items: center;
}

.sidebar a:hover {
    background-color: white;
    color: black;
    font-size: 2 0px;
    font-size: 20px;
}
.container1{
    margin-top:7.5%;
    width: 100%;
    height: auto;

}
.featured video{
    object-fit: cover;
    width: 90vw;
    height: 35vw;
}
.txt{
    width: auto;
    height: auto;
    margin-left:2.5%;
    margin-right:2.5%;
}
.container1 p{
    color: white;
    font-size: 3.5vw;
    font-family:'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    margin-left: auto;
    margin-right: auto;
    margin-top:.5% ;
    margin-bottom:2.5%;
    
}
.section-title {
    position: relative;
    color: royalblue;
    font-size: 2.2em;
    font-weight: 800;
    margin-bottom: 60px;
    margin-top: 30px;
}

.section-title:before {
    content: '';
    position: absolute;
    top: 56px;
    left: 50%;
    width: 200px;
    height: 4px;
    background: royalblue;
    transform: translateX(-50%);
}

.section-title:after {
    content: '';
    position: absolute;
    top: 50px;
    left: 50%;
    width: 15px;
    height: 15px;
    border-radius: 50%;
    background: royalblue;
    transform: translateX(-50%);
}

.container2 {
    max-width: 100%;
    height: auto;
    overflow-x:none;
    white-space: wrap;
}

.featured2 {
    flex-wrap: wrap;
    justify-content: center;

}

.featured2 img {
    width: 44vw;
    height: 44vw;
    max-width: 100%;
    max-height: 100%;
    object-fit: cover;
    padding: 10px;
    transition: 0.5s ease;
    border-radius: 5%;
}
button{
    width:auto;
    height: auto;
    background-color: royalblue;
    color: white;
    margin-bottom:3.5%;
    margin-top: 2%;
}
button a{
    width: 100%;
    text-decoration: none;
    color: white ;
    font-size: 3vw;
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
}

button a:hover{
    color:black;
}

button:hover{
    background-color: white;
}

button:hover {
    background-color: white;
}

.powered{
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    
}
.powered img{
    object-fit: fill;
    width: 70%;
    height: 10%;
    padding-bottom: 2.5%;
    margin-top:20px;
}

footer{
    background-color: royalblue;
    width: 100vw;
    height: auto;
    bottom: 0;
    left: 0;
    z-index: 999;
    position:static;
    right: 0;
}
.social svg{
    width: 30px;
    height: 30px;
}
.social{
   width: 100vw;
   display: flex;
   flex-direction: row;
   flex-wrap: nowrap;
   justify-content: center;
}
footer p{
    color: white;
    font-size: 20px;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    padding-top: 1%;
    padding-bottom: 1%;
}
footer ul{
    list-style: none;
}
ul{
    list-style: none;
}
.prod-des{
    margin-left: 5px;
    margin-top: 5px;
}
a svg{
    fill: black;
}

.services{
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
    align-items: center;
}

.services .serv-img{
    width: 30%;
    background-color: royalblue;
    border-radius: 10px;
}
.serv-img img{
    width: 100%;
    height: 100%;
    object-fit: fill;
}

button{
    border-radius: 10px;
}

.addtocart svg {
    height: 180px;
    width: 180px;
    margin-top: 100px;
    fill: white;
    display: flex;
}

.single-pro-details button a {
    color: white;
    font-size: 20px;
}
@keyframes showProd {
    0% {
        transform: translateY(100%);
        opacity: 0;
    }

    100% {
        transform: translateY(0%);
        opacity: 1;
    }
}
.our-prod{
    animation: showProd 1s ease;
}
@media(max-width: 700px) {
    .featured2 img {
        width: 90vw;
        height: 90vw;
    }
        nav {
            position: fixed;
        }
            .services .serv-img {
            width: 90%;
            margin-bottom: 30px;
            }
            .services{
                flex-direction: column;
                justify-content: center;
            }
}
nav svg{
    fill: white;
}

@media(max-width: 1024px) {
    .hideOnMobile {
        display: none;
    }

    .active {
        display: none;
    }

    .hideOnPc {
        display: flex;
    }
    button a{
        font-size:5vw;
    }
    footer{
        margin-top:1%;
        bottom: 0;
    }
    video {
        margin-top: 40px;
    }
}

@media(max-width: 480px) {
    .sidebar {
        width: 100%;
    }
}
@media(max-width: 500px){
    video{
        margin-top: 70px;
    }
}
